POST /v1/api-keys
Create a new API key for the current organization
POST
/v1/api-keys
Create a new API key for the current organization
Request Body required
API key details
application/jsonOne of:
Option 1
Option 2
description
string
expiresAt
string
name
string
REQUIRED
scope
string
serviceAccountId
string
Responses
200
OK
application/jsoncode
integer
data
object
createdAt
string
createdBy
string
description
string
expiresAt
string
id
string
key
string
Key is the full plaintext API key, shown only once. Store it securely.
keyPrefix
string
lastUsedAt
string
lastUsedIp
string
lastUsedUserAgent
string
name
string
organizationId
string
revokedAt
string
scope
string
Enum:
read, read-writeserviceAccountId
string
userId
string
message
string
requestId
string
400
Bad Request
curl -X POST 'https://api.example.com/v1/api-keys' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/api-keys', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/api-keys', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/api-keys", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "createdAt": "<string>", "createdBy": "<string>", "description": "<string>", "expiresAt": "<string>", "id": "<string>", "key": "<string>", "keyPrefix": "<string>", "lastUsedAt": "<string>", "lastUsedIp": "<string>", "lastUsedUserAgent": "<string>", "name": "<string>", "organizationId": "<string>", "revokedAt": "<string>", "scope": "read", "serviceAccountId": "<string>", "userId": "<string>" }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
POST
/v1/api-keys
